aiuto con installazione gimp 2.7.1 da sorgente

3 risposte [Ultimo messaggio]
Ritratto di stefluni04
stefluni04
(Guru)
Offline
Guru
Iscritto: 08/09/2004
Messaggi: 1346

Ciao a  tutti. In vena di fare esperimenti. ho provato a scaricare la versione di sviluppo di GIMP (2.7.1) e ho provato ad installarla.
Scompattato il tar.gz ho dato ./configure
Mi ha fatto installare un paio di cose che non avevo, ma poi si pianta su:
checking for GTK+ - version >= 2.20.0... no
*** Could not run GTK+ test program, checking why...
*** The test program failed to compile or link. See the file config.log for the
*** exact error that occured. This usually means GTK+ is incorrectly installed.
configure: error: Test for GTK+ failed. See the file 'INSTALL' for help.
Il config.log mi dice esattamente le stesse cose, mentre install mi dice che:
Please make sure you don't have any old GTK+-2.x, jpeg, etc. libraries
lying around on your system, otherwise configure may fail to find the
new ones.
Per cui penso che il problema sia qui: gtk+ 2.0 è installato, ma rpmdrake lo marca come non rimovibile... qualche idea?
Ciao
Mandriva 2011.0 i586 su athlon x2 64bit

Mandriva 2010.2 su Athlon x2_64

Ritratto di Moreno
Moreno
(Guru)
Offline
Guru
Iscritto: 24/09/2004
Messaggi: 16862

Ciao

Forse questa guida ti potrà essere d'aiuto.

Ciao Ciao, Moreno

Addio, e grazie per tutto il pesce.
Avatar by moonlight-dream.

Ritratto di stefluni04
stefluni04
(Guru)
Offline
Guru
Iscritto: 08/09/2004
Messaggi: 1346

Grazie! In effetti l'avevo ggià vista, ma anche dimenticata Smile
Mo' passo in cooker e provo!

Mandriva 2010.2 su Athlon x2_64

Ritratto di stefluni04
stefluni04
(Guru)
Offline
Guru
Iscritto: 08/09/2004
Messaggi: 1346

/mumble mode on
Ho provato a seguire la guida suggerita... aparte che non ho capito bene cosa stavo facendo Smile, in quanto è la prima volta che vedo git, arrivati a gimp mi succede questo:
./autogen.sh --prefix=/opt/gimp-2.7.1 -disable-gtk-doc --disable-python
... (lavora un paio di secondi, poi:)
configure.ac:491: error: possibly undefined macro: AM_PATH_GTK_2_0
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.
Any idea????
Grazie in anticipo!

Mandriva 2010.2 su Athlon x2_64